Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reports External

ReportsExternal

List all external report urls for tenant

get
/tenants/{tenantUid}/report-urls

List all external report urls for tenant

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/report-urls
GET /v2/tenants/{tenantUid}/report-urls HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "name": "text",
      "url": "https://example.com"
    }
  ]
}

List all external report urls for organization

get
/tenants/{tenantUid}/organizations/{organizationUid}/report-urls

List all external report urls for organization

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/organizations/{organizationUid}/report-urls
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/report-urls HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "name": "text",
      "url": "https://example.com"
    }
  ]
}

List all external report urls for store

get
/tenants/{tenantUid}/stores/{storeUid}/report-urls

List all external report urls for store

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/report-urls
GET /v2/tenants/{tenantUid}/stores/{storeUid}/report-urls HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "name": "text",
      "url": "https://example.com"
    }
  ]
}

Last updated

Was this helpful?